Bug 21351 - Mac-style menu usage intermittently triggers DND
Mac-style menu usage intermittently triggers DND
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-11-26 12:15 EST by Ed McKenzie
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-01 19:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2000-11-26 12:15:18 EST
I open the GNOME menu much as I do menus on MacOS (that is, the mouse
button is down until I get to the item I want.) Unfortunately, the menu
gets confused sometimes, and thinks I'm trying to drag items, even when I
never leave the menu space.

This may be a GTK issue, as I've seen it elsewhere.
Comment 1 Havoc Pennington 2000-11-27 10:36:09 EST
The only way I know to do this is to use the right button to open the menu, then
start a drag with the left button. Which is supposed to be a feature I guess.
Using only left button, I can't make reproduce the problem. Can you give more
details on how to make it happen?
Comment 2 Ed McKenzie 2000-11-27 13:07:44 EST
It's hard to reproduce reliably, which suggests user error. My left mouse button
(or my index finger :) might be headed south, and the menu might be thinking
I've released the button. Maybe the fix is to not start a drag'n'drop unless the
mouse button has been released for, say, 250ms?
Comment 3 Havoc Pennington 2000-11-27 13:24:29 EST
DND is supposed to start if you move the mouse a few pixels with the button held
down, if you pressed the mouse down on a draggable object. But in this case you
did not press the mouse on a draggable object AFAIK, you pressed it on the gnome
foot, right?
Comment 4 Ed McKenzie 2000-11-27 13:30:56 EST
The menu thinks I'm trying to drag the submenu icons. AFAIK the GNOME menu can't
be dragged.
Comment 5 Havoc Pennington 2000-11-27 13:59:37 EST
OK, a theory presented by a coworker: your mouse is broken, and the buttons
don't stay held down properly, so occasionally there's a rapid press-and-release
sent to the menu while you're dragging. Most plausible explanation I've heard so
Comment 6 Ed McKenzie 2000-11-27 15:06:07 EST
Do you think this is a usability issue, or does GNOME require perfect user
input? It seems to me this belongs in the same category as being able to
configure the double-click timeout, or being able to move the mouse diagonally
into a submenu without losing the submenu ...
Comment 7 Havoc Pennington 2000-11-27 15:20:14 EST
Well, GNOME requires working hardware. ;-) I'm suggesting your mouse has a bad
switch in one of the buttons. Maybe try a different mouse and see if it helps.
Comment 8 Ed McKenzie 2000-11-28 12:05:22 EST
Ok, maybe it's something I'm doing wrong, but it just happened running GNOME
over VNC on a Mac. I have no problems using menus on the Mac, and on that
platform I'd end up opening random programs if I were inadvertently releasing
the mouse button. That doesn't happen, though, which suggests something else is
going on ...
Comment 9 Havoc Pennington 2000-11-28 12:26:30 EST
All bets are off if you're using VNC on a Mac - who knows... there could be
bugs anywhere along the chain. Anyway, I can't reproduce this bug on any of the
systems here. There is no way to fix it unless I can reproduce it (without
running VNC on a Mac ;-)
Comment 10 Ed McKenzie 2000-11-28 13:02:53 EST
I should clarify.

I've had this happening on an x86 box running XFree86 3.x and 4.x locally; that
was the original bug report I filed. I decided to try a different mouse, and
that didn't fix it. I then tried running it remotely on Xvnc from a Mac, and the
problem persists. So I don't think it's a hardware problem or an Xserver
problem. I claim it's likely a bug in gnome, because 1.) I reported a similar
bug in gtop, and 2.) I use Mac menus in the same way with no problems. 

I'll look further into it to see if I can find anything else that might be
Comment 11 Ed McKenzie 2001-09-01 11:23:55 EDT
I'm still seeing this in GNOME 1.4 (rawhide 20010831) on several machines.  A
possible solution might be a panel option to disable icon dragging entirely; I
think it's safe to say that most other current Mac users will find the current
behavior pretty obnoxious.

(To reiterate and hopefully better describe the problem: on the Macintosh, menu
items are selected by clicking and holding the mouse button on the menu, moving
to the target, and releasing the button.  The GNOME panel menus seem to get
confused when I do this - opening a popup submenu under the mouse, the panel
occasionally seems to think I'm trying to start a drag-and-drop with one of the
menu items.  When this happens, the game is over, and I have to close the entire
menu and start again, possibly deleting the shortcut the panel created on the
desktop.  I don't think it's a mouse problem, because I see this on several
machines and remotely across X11 and VNC.)
Comment 12 Havoc Pennington 2001-09-01 16:26:45 EDT
Owen do we have a GTK bug like this?
Comment 13 Owen Taylor 2001-09-01 16:57:33 EDT
Well, the DND is a gnome panel panel feature, and not much in the
control of GTK+. (Well, it's using GTK+ DND and GTK+ menus, but
other than that....)

I don't see how this could possibly be happening unless the menu
is getting a button press event; I guess I'd have to see it in
person to be convinced it was happening. :-)
Comment 14 Havoc Pennington 2001-09-01 17:06:01 EDT
I can't reproduce it at all either.
Comment 15 Ed McKenzie 2001-09-01 19:15:55 EDT
Ok, I'll try to find a more reproducible case of this.  I actually only see this
rarely, though I've reproduced it twice here in the past five minutes ... stay
Comment 16 Havoc Pennington 2002-02-25 18:55:08 EST
At this point I think we should just figure this will go away when we upgrade to

Note You need to log in before you can comment on or make changes to this bug.